Skip to main content
GET
/
v1
/
tools
/
{tool_id}
Get Tool
curl --request GET \
  --url https://api.oneinbox.ai/v1/tools/{tool_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "type": "<string>",
  "description": "<string>",
  "url": "<string>",
  "method": "<string>",
  "headers": {},
  "parameters": [
    "<unknown>"
  ],
  "transfer_to": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "run_in_background": false,
  "speak_during_execution": false,
  "extraction_schema": {},
  "messaging_config": {},
  "calendar_config": {}
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Path Parameters

tool_id
string<uuid>
required

Response

Successful Response

id
string
required
name
string
required
type
string
required
description
string | null
required
url
string | null
required
method
string | null
required
headers
Headers · object
required
parameters
any[]
required
transfer_to
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
run_in_background
boolean
default:false
speak_during_execution
boolean
default:false
extraction_schema
Extraction Schema · object
messaging_config
Messaging Config · object
calendar_config
Calendar Config · object